Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88407 - kickstart won't install swap on mirror md
Summary: kickstart won't install swap on mirror md
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 21:49 UTC by jmccann
Modified: 2015-01-14 23:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-11 17:03:15 UTC


Attachments (Terms of Use)
Kickstart configuration used (deleted)
2003-04-09 21:51 UTC, jmccann
no flags Details

Description jmccann 2003-04-09 21:49:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

Description of problem:
It seems that kickstart won't install swap on a RAID1 metadevice.

The installer says something like "need two devices for mirror" and then reboots.

I got this error message with 8.0 too but it continued with the install.

A fault tolerant system should have swap on a mirror.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install swap on a RAID1 device during KS
2. 
3.
    

Actual Results:  reboots

Expected Results:  Works.

Additional info:

Comment 1 jmccann 2003-04-09 21:51:20 UTC
Created attachment 91049 [details]
Kickstart configuration used

Sensitive information has been removed fron ks.cfg.

Comment 2 Michael Fulbright 2003-04-11 17:03:15 UTC
You need to specify a mount point of 'swap', ie:

  raid --level=1 --device=md0 --fstype swap raid.01 raid.02

should be:

  raid swap --level=1 --device=md0 --fstype swap raid.01 raid.02

I'll add some sanity checking for the mount point when we parse the ks.cfg.

Comment 3 jmccann 2003-04-11 17:22:03 UTC
Sorry to comment on a closed bug.  Thanks for the fix!  However, the ks.cfg file
came directly from redhat-config-kickstart.  So, maybe that has a bug?


Note You need to log in before you can comment on or make changes to this bug.